<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('surveys', function (Blueprint $table) {
            $table->increments('id')->comment('PKey');
            $table->string("line_user_id")->comment("填寫人Line UID");
            $table->longText("head_sticker")->comment("填寫人頭貼");
            $table->string("nickname")->comment("暱稱");
            $table->longText("filler_content")->comment("問卷填寫內容");
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('surveys');
    }
};
